Summary: Linux Standard Base tools
Name: lsb-release
Version: 3.1
Release: %mkrel 5
License: GPL
Source: lsb-release_os-release-%{version}.tar.gz
Group: System/Base
URL: https://github.com/thkukuk/lsb-release_os-release
Requires(pre): filesystem >= 2.1.9-18
BuildRequires: mageia-release >= 8-0.20
BuildArch: noarch

%description
LSB version query program

This program forms part of the required functionality of
the LSB (Linux Standard Base) specification.

The program queries the installed state of the distribution
to display certain properties such as the version of the
LSB against which the distribution claims compliance as 
well. It can also attempt to display the name and release
of the distribution along with an identifier of who produces
the distribution.

%prep

%setup -q -n %{name}_os-release-%{version}
%autopatch -p1

%build
make

%install
%make_install INSTALL_ROOT=%{buildroot}%{_prefix}

mkdir -p %{buildroot}/%{_sysconfdir}/%{name}.d
mkdir -p %{buildroot}/%{_sysconfdir}
cat > %{buildroot}/%{_sysconfdir}/lsb-release << EOF
LSB_VERSION=
DISTRIB_ID="%{distribution}"
DISTRIB_RELEASE=%{product_version}
DISTRIB_CODENAME=mga%{product_version}
DISTRIB_DESCRIPTION="%{distribution} %{product_version}"
EOF

%files
%doc README
%{_bindir}/lsb-release
%{_bindir}/lsb_release
%{_mandir}/man1/lsb-release.1*
%{_mandir}/man1/lsb_release.1*
%config(noreplace) %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}.d


%changelog
* Fri Aug 11 2023 tmb <tmb> 3.1-5.mga9
+ Revision: 1964624
- rebuild for release

* Mon Mar 21 2022 umeabot <umeabot> 3.1-4.mga9
+ Revision: 1813879
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tmb <tmb> 3.1-3.mga9
+ Revision: 1690154
- switch to mga9 / Cauldron

* Mon Jan 04 2021 tmb <tmb> 3.1-2.mga8
+ Revision: 1668776
- switch to official builds

* Fri Dec 04 2020 luigiwalser <luigiwalser> 3.1-1.mga8
+ Revision: 1652383
- 3.1

* Sat Feb 15 2020 umeabot <umeabot> 2.0-56.mga8
+ Revision: 1526831
- Mageia 8 Mass Rebuild

* Tue Jul 02 2019 tmb <tmb> 2.0-55.mga8
+ Revision: 1417491
- rebuild for Cauldron

* Thu Sep 20 2018 umeabot <umeabot> 2.0-54.mga7
+ Revision: 1279209
- Mageia 7 Mass Rebuild

* Sun Jul 16 2017 tmb <tmb> 2.0-53.mga7
+ Revision: 1123555
- rebuild for mageia-release 7

* Thu Jul 06 2017 tmb <tmb> 2.0-52.mga6
+ Revision: 1109125
- rebuild for mageia 6 official release

* Sat Jan 14 2017 solbu <solbu> 2.0-51.mga6
+ Revision: 1081570
- use mga<version> as distribution codename (mga#8587)
- Drop distribution codename (mga#8587)

* Sat Feb 20 2016 umeabot <umeabot> 2.0-50.mga6
+ Revision: 971838
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 tv <tv> 2.0-49.mga6
+ Revision: 893126
- make it noarch thus fixing empty debuginfo

* Fri Aug 21 2015 tmb <tmb> 2.0-48.mga6
+ Revision: 867793
- rebuild for new gcc

* Sat Jun 20 2015 tmb <tmb> 2.0-47.mga6
+ Revision: 835757
- start road to mga6

* Sun May 31 2015 tmb <tmb> 2.0-46.mga5
+ Revision: 822819
- rebuild for official release

* Wed Oct 15 2014 umeabot <umeabot> 2.0-45.mga5
+ Revision: 741514
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0-44.mga5
+ Revision: 682011
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 neoclust <neoclust> 2.0-43.mga5
+ Revision: 580520
- Rebuild for mageia 5

* Mon Jan 27 2014 tmb <tmb> 2.0-42.mga4
+ Revision: 568468
- rebuld for Official release

* Sat Oct 19 2013 umeabot <umeabot> 2.0-41.mga4
+ Revision: 523541
- Mageia 4 Mass Rebuild

* Thu May 23 2013 boklm <boklm> 2.0-40.mga4
+ Revision: 424901
- rebuild for Mageia 4

* Sat Jan 12 2013 umeabot <umeabot> 2.0-39.mga3
+ Revision: 359021
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 21 2012 colin <colin> 2.0-38.mga3
+ Revision: 273158
- Update for usrmove

* Sun May 27 2012 tmb <tmb> 2.0-37.mga3
+ Revision: 247553
- rebuild for mageia-release-3

* Sat May 19 2012 ennael <ennael> 2.0-36.mga2
+ Revision: 235941
- Mageia 2 final release

* Tue Jun 07 2011 boklm <boklm> 2.0-35.mga2
+ Revision: 101466
- update for cauldron

* Mon May 30 2011 ennael <ennael> 2.0-34.mga1
+ Revision: 100790
- update for final release

* Thu Jan 27 2011 stewb <stewb> 2.0-33.mga1
+ Revision: 42364
- leave LSB_VERSION empty, quote DISTRIB_ID

* Thu Jan 27 2011 stewb <stewb> 2.0-32.mga1
+ Revision: 42151
- remove lsb support level from this package, handle in lsb

* Sat Jan 22 2011 blino <blino> 2.0-31.mga1
+ Revision: 33332
- use a better codename
- use distribution macro
- imported package lsb-release


* Fri Jan 07 2011 Antoine Ginies <aginies@mandriva.com> 2.0-30mdv2011.0
+ Revision: 629592
- need a codename

* Thu Jan 06 2011 Leonardo Coelho <leonardoc@mandriva.com> 2.0-29mdv2011.0
+ Revision: 629080
- Fix old binary path but keeping both.

* Sat Oct 02 2010 Anssi Hannula <anssi@mandriva.org> 2.0-28mdv2011.0
+ Revision: 582621
- replace hardcoded distribution version with a build-time one
- clear codename for now (lsb-release will guess 'Cooker' from
  /etc/release until it is refilled)

* Tue May 25 2010 Antoine Ginies <aginies@mandriva.com> 2.0-27mdv2010.1
+ Revision: 545911
- update codename

* Tue May 18 2010 Antoine Ginies <aginies@mandriva.com> 2.0-26mdv2010.1
+ Revision: 545113
- back to 2.0, because this is the version of the script, not the version of the LSB
- new codename, LSB 4 no more 2.X

* Wed Apr 28 2010 Antoine Ginies <aginies@mandriva.com> 2.0-25mdv2010.1
+ Revision: 540448
- new codename

* Wed Mar 31 2010 Antoine Ginies <aginies@mandriva.com> 2.0-24mdv2010.1
+ Revision: 530345
- beta1

* Fri Feb 26 2010 Antoine Ginies <aginies@mandriva.com> 2.0-23mdv2010.1
+ Revision: 511505
- new lsb-release (2010 spring)

* Thu Oct 29 2009 Anne Nicolas <ennael@mandriva.org> 2.0-22mdv2010.0
+ Revision: 460076
- change release name, lsb version

* Tue Aug 11 2009 Antoine Ginies <aginies@mandriva.com> 2.0-21mdv2010.0
+ Revision: 414796
- release 2010.0

* Thu Apr 23 2009 Antoine Ginies <aginies@mandriva.com> 2.0-20mdv2009.1
+ Revision: 368782
- final release name

* Thu Apr 02 2009 Antoine Ginies <aginies@mandriva.com> 2.0-19mdv2009.1
+ Revision: 363481
- change release name

* Mon Mar 09 2009 Antoine Ginies <aginies@mandriva.com> 2.0-18mdv2009.1
+ Revision: 353073
- update codename

* Fri Feb 06 2009 Antoine Ginies <aginies@mandriva.com> 2.0-17mdv2009.1
+ Revision: 338155
- 2009.1 release

* Wed Oct 01 2008 Antoine Ginies <aginies@mandriva.com> 2.0-16mdv2009.0
+ Revision: 290346
- codename zarapha

* Mon Sep 22 2008 Antoine Ginies <aginies@mandriva.com> 2.0-15mdv2009.0
+ Revision: 286964
- sophie release

* Mon Sep 01 2008 Antoine Ginies <aginies@mandriva.com> 2.0-14mdv2009.0
+ Revision: 278114
- prepare rc1

* Tue Aug 19 2008 Antoine Ginies <aginies@mandriva.com> 2.0-13mdv2009.0
+ Revision: 273682
- change codename to okapi (beta2)

* Thu Jul 24 2008 Frederic Crozat <fcrozat@mandriva.com> 2.0-12mdv2009.0
+ Revision: 245612
- Rebuild for 2009.0

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.0-11mdv2009.0
+ Revision: 223130
- rebuild

* Wed Apr 02 2008 Antoine Ginies <aginies@mandriva.com> 2.0-10mdv2008.1
+ Revision: 191719
- final name

* Wed Mar 05 2008 Antoine Ginies <aginies@mandriva.com> 2.0-9mdv2008.1
+ Revision: 180086
- update DISTRIBNAME

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 2.0-8mdv2008.1
+ Revision: 152874
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Sep 07 2007 Antoine Ginies <aginies@mandriva.com> 2.0-6mdv2008.0
+ Revision: 81439
- fill empty field in /etc/lsb-release


* Thu Jan 18 2007 Frederic Crozat <fcrozat@mandriva.com> 2.0-5mdv2007.0
+ Revision: 110311
-Use mkrel
-fix url
- Import lsb-release

* Sat Apr 01 2006 Stew Benedict <sbenedict@mandriva.com> 2.0-4mdk
- change the ident standard - now lsb-version-arch/noarch

* Tue Feb 21 2006 Stew Benedict <sbenedict@mandriva.com> 2.0-3mdk
- move graphics ident files to lsb-graphics

* Wed Jan 18 2006 Stew Benedict <sbenedict@mandriva.com> 2.0-2mdk
- leave DISTRIB_CODENAME blank, lsb_release can find it

* Wed Jun 01 2005 Stew Benedict <sbenedict@mandriva.com> 2.0-1mdk
- 2.0 - cvs snapshot
- conform to the new requirements for lsb-release format

* Sat Apr 23 2005 Stew Benedict <sbenedict@mandriva.com> 1.4-8mdk
- LSB3.0, use variables to populate lsb-release
- leave DISTRIB_RELEASE blank, lsb_release can find it

* Fri Mar 11 2005 Stew Benedict <sbenedict@mandrakesoft.com> 1.4-7mdk
- 10.2 (Bugzilla #14491)

* Tue Jun 22 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.4-6mdk
- LSB2.0

* Mon Apr 05 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.4-5mdk
- Mandrakelinux 10.1, codename Cooker

